---
title: HTMLSlotElement.assignedElements()
slug: Web/API/HTMLSlotElement/assignedElements
tags:
  - API
  - HTMLSlotElement
  - Method
  - Reference
  - Web Components
  - assignedElements
  - shadow dom
---
<div>{{APIRef("Shadow DOM API")}}</div>

<p>The <strong><code>assignedElements()</code></strong> property of the {{domxref("HTMLSlotElement")}} interface returns a sequence of the elements assigned to this slot (and no other nodes). If the <code>flatten</code> option is set to <code>true</code>, it also returns the assigned elements of any other slots that are descendants of this slot. If no assigned nodes are found, it returns the slot's fallback content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var assignedElements = HTMLSlotElement.assignedElements(<var>options</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>options</var> {{optional_inline}}</dt>
 <dd>An object that sets options for the nodes to be returned. The available options are:
 <ul>
  <li><code>flatten</code>: A {{jsxref('Boolean')}} indicating whether to return the assigned elements of any available child <code>&lt;slot&gt;</code> elements (<code>true</code>) or not (<code>false</code>). Defaults to <code>false</code>.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of elements.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let slots = this.shadowRoot.querySelector('slot');
let elements = slots.assignedElements({flatten: true});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-slot-assignedelements','assignedElements()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLSlotElement.assignedElements")}}</p>
</div>
